// pages/password/index.js
let myPro = require("../../../utils/wxRequest.js");
let util = require("../../../utils/util.js");

var app = getApp();

Page({

    /**
     * 页面的初始数据
     */
    data: {
        oldPW:'',
        newPW:'',
        againPW:''
    },

    oldPWInput(e) {
        this.setData({
            oldPW: e.detail.value
        })
    },
    newPWInput(e) {
        this.setData({
            newPW: e.detail.value
        })
    },
    againPWInput(e) {
        this.setData({
            againPW: e.detail.value
        })
    },
    changePassword() {
        if (this.data.oldPW == null || this.data.oldPW == undefined || this.data.oldPW == ''){
            Toast('请输入原密码')
            return
        }
        if (this.data.newPW == null || this.data.newPW == undefined || this.data.newPW == ''){
            Toast('请输入新密码')
            return
        }
        if (this.data.againPW == null || this.data.againPW == undefined || this.data.againPW == '') {
            Toast('请再次输入新密码')
            return
        }
        if (this.data.newPW == this.data.oldPW) {
            Toast('原密码和新密码相同，请检查')
            return
        }
        if (this.data.newPW != this.data.againPW) {
            Toast('两次输入的密码不一致，请检查')
            return
        }
        wx.showLoading({                           
          mask:true                                    
        })
        var that = this;
        var params = {
          token: app.globalData.token,
          old_pwd:this.data.oldPW,
          new_pwd:this.data.newPW
        }
        myPro.wxRequest("staff/login","POST",params).then(res=>{
            wx.hideLoading()
            var res = res.data;
            if (res.code == 200) {
                Toast('修改密码成功，请重新登录');
                setTimeout(function() {
                    wx.reLaunch({
                        url: '/pages/login/index'
                    })
                }, 1000);
            } else {
                if (res.code == 401) {
                    Toast('登录失效');
                    setTimeout(function() {
                        wx.reLaunch({
                            url: '/pages/login/index'
                        })
                    }, 1000);
                } else {
                    Toast(res.msg)
                }
            }
        }).catch(err => {
            wx.hideLoading()
            console.log(err)
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
  
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
    */
    onReady: function () {

    },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})